﻿using Randomizer.Properties;
using Randomizer.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Randomizer
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        Random Random = new Random();

        private void OnLoad(object sender, EventArgs e)
        {
            Text = Messages.Title;
            labelAuthor.Text = AppSettings.GetAuthor();
            labelNbrOfSubscriber.Text = Messages.Subscribers;
            buttonGenerate.Text = Messages.Generate;
        }

        private void buttonGenerate_Click(object sender, EventArgs e)
        {
            if ( string.IsNullOrEmpty(textBoxNbrOfSubscribers.Text) )
            {
                MessageBox.Show( this, Messages.EnterNbrOfSubscribers, Messages.Title);
                return;
            }
            try
            {
                int maximum = int.Parse( textBoxNbrOfSubscribers.Text, CultureInfo.CurrentUICulture );
                int result = Random.Next(maximum);

                if ( !string.IsNullOrEmpty(labelResult.Text) )
                {
                    labelResult.Text = labelResult.Text + ", " + result.ToString( CultureInfo.CurrentUICulture );
                }
                else
                {
                    labelResult.Text = result.ToString( CultureInfo.CurrentUICulture );
                }

            }
            catch ( Exception ex )
            {
                MessageBox.Show( this, ex.Message, Messages.Title);
            }
        }
    }
}
